Red Hat Spacewalk XML外部实体注入漏洞

CVE编号

CVE-2018-1077

利用情况

暂无

补丁情况

N/A

披露时间

2018-03-15
漏洞描述
Red Hat Spacewalk是美国红帽(Red Hat)公司的一套基于红帽网络卫星(一套系统管理平台)而开发的开源Linux系统管理解决方案。该方案提供统计系统信息、安装和更新软件、收集和分发自定义软件包等功能。

Red Hat Spacewalk 2.6版本中的API存在XML外部实体注入漏洞。攻击者可利用该漏洞获取服务器上的敏感信息。
解决建议
目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:
https://spacewalkproject.github.io/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 redhat satellite 5.0 -
运行在以下环境
应用 redhat spacewalk 2.6 -
运行在以下环境
系统 alibaba_cloud_linux_2.1903 tiff * Up to
(excluding)
0.27.0-2.1.al7
运行在以下环境
系统 alpine_3.10 tiff * Up to
(excluding)
4.0.9-r8
运行在以下环境
系统 alpine_3.11 tiff * Up to
(excluding)
4.0.9-r8
运行在以下环境
系统 alpine_3.12 tiff * Up to
(excluding)
4.0.9-r8
运行在以下环境
系统 alpine_3.13 tiff * Up to
(excluding)
4.0.9-r8
运行在以下环境
系统 alpine_3.5 tiff * Up to
(excluding)
4.0.9-r6
运行在以下环境
系统 alpine_3.6 tiff * Up to
(excluding)
4.0.9-r6
运行在以下环境
系统 alpine_3.7 tiff * Up to
(excluding)
4.0.9-r6
运行在以下环境
系统 alpine_3.8 tiff * Up to
(excluding)
4.0.9-r7
运行在以下环境
系统 alpine_3.9 tiff * Up to
(excluding)
4.0.9-r8
运行在以下环境
系统 alpine_edge tiff * Up to
(excluding)
4.0.9-r8
运行在以下环境
系统 amazon_2 tiff * Up to
(excluding)
0.27.0-3.amzn2.0.1
运行在以下环境
系统 amazon_AMI tiff * Up to
(excluding)
4.0.3-32.34.amzn1
运行在以下环境
系统 centos_7 tiff * Up to
(excluding)
0.27.0-2.el7_6
运行在以下环境
系统 centos_8 exiv2 * Up to
(excluding)
0.27.2-5.el8
运行在以下环境
系统 debian_10 tiff * Up to
(excluding)
6.2-1
运行在以下环境
系统 debian_11 tiff * Up to
(excluding)
6.10-2
运行在以下环境
系统 debian_8 tiff * Up to
(excluding)
4.0.3-12.3+deb8u10
运行在以下环境
系统 debian_9 tiff * Up to
(excluding)
4.12-5
运行在以下环境
系统 debian_sid tiff * Up to
(excluding)
6.10-2
运行在以下环境
系统 fedora_27 tiff * Up to
(excluding)
6.6-1.fc27
运行在以下环境
系统 fedora_28 tiff * Up to
(excluding)
4.10.0.0-3.fc28
运行在以下环境
系统 fedora_29 tiff * Up to
(excluding)
4.0.9-12.fc29
运行在以下环境
系统 fedora_30 tiff * Up to
(excluding)
8.14.7-2.fc30
运行在以下环境
系统 fedora_31 tiff * Up to
(excluding)
8.14.7-2.fc31
运行在以下环境
系统 fedora_32 tiff * Up to
(excluding)
8.14.7-2.fc32
运行在以下环境
系统 fedora_EPEL_7 tiff * Up to
(excluding)
6.6-1.el7
运行在以下环境
系统 opensuse_Leap_15.0 tiff * Up to
(excluding)
4.0.9-lp150.4.6.1
运行在以下环境
系统 opensuse_Leap_42.3 tiff * Up to
(excluding)
4.0.9-34.1
运行在以下环境
系统 oracle_7 tiff * Up to
(excluding)
0.27.0-2.el7_6
运行在以下环境
系统 oracle_8 tiff * Up to
(excluding)
0.27.2-5.el8
运行在以下环境
系统 redhat_7 libtiff * Up to
(excluding)
0:4.0.3-32.el7
运行在以下环境
系统 redhat_8 exiv2 * Up to
(excluding)
0.27.2-5.el8
运行在以下环境
系统 suse_11_SP4 tiff * Up to
(excluding)
3.8.2-141.169.16.1
运行在以下环境
系统 suse_12 libtiff5 * Up to
(excluding)
4.0.9-44.21
运行在以下环境
系统 suse_12_SP3 tiff * Up to
(excluding)
4.0.9-44.21.1
运行在以下环境
系统 ubuntu_14.04.6_lts tiff * Up to
(excluding)
4.0.3-7ubuntu0.11
运行在以下环境
系统 ubuntu_16.04.7_lts tiff * Up to
(excluding)
4.0.6-1ubuntu0.6
运行在以下环境
系统 ubuntu_18.04.5_lts tiff * Up to
(excluding)
4.0.9-5ubuntu0.2
运行在以下环境
系统 ubuntu_18.10 tiff * Up to
(excluding)
4.0.9-6ubuntu0.2
CVSS3评分
7.5
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-611 XML外部实体引用的不恰当限制(XXE)
阿里云安全产品覆盖情况